#!/usr/bin/env perl 

# This script is provided "as is" it is
# not warranted but may be supported on a limited basis
# by Network Appliance.
#
# psf_count_lines.pl
#
#   PerfStatFilter for counting lines. 
#
#   v0.01  02-04-2005 : Initial implementation.
#


use Getopt::Std;
getopts("dh");

if ($opt_h) { usage(); }

if ($opt_d) {
   $debug = 1; 
} else {
   $debug = 0;
}

$file = $ARGV[0];

open(INPUTA, '<' . $file) || die 'Unable to open file (arg1) .';

$line_count = 0;
while ($Line = <INPUTA>) { 
    $line_count++;
}   
printf ("%d\n", $line_count);
